• 締切済み
  • すぐに回答を!

Macの機種と、インストール可能なOSのバージョン

Macの機種と、その機種にインストール可能なOSのバージョンについて、 どのような方法で知ることができますか? ちなみに、 私の機種は、MacPro(MA970J/A)で、OSは、OS10.5.8を使用しています。 それと、 機種とOSの相性などの問題で、不具合が生じたりするのでしょうか。 ネット上の参考になるページなど教えていただければ幸いです。 よろしくお願いします。

共感・応援の気持ちを伝えよう!

  • 回答数8
  • 閲覧数17021
  • ありがとう数13

みんなが選んだベストアンサー

  • ベストアンサー
  • 回答No.6

古いOSやCPU(68kやPowerPC)のことは割愛し、現在のMacとOSXについて説明します。 買った時の新品の状態でのOSXのバージョンを調べます。 MacTrackerを使っても良いですが、型番をググったらAppleのサイトで出て来ました。 http://support.apple.com/kb/SP11?viewlocale=ja_JP&locale=ja_JP どうやら質問者さんのMacProはOSX10.5(Leopard)のようです...メジャーアップデートは1回もしていないということになりますね。 大事なことを2つ。 1.「バージョン数字の1/10の位がメジャー(有料)アップデート、1/100の位がマイナー(無料)アップデート」 2.「そのMacのデフォルトのOSのバージョンから+0.2、 つまりメジャーアップデート2回まで」が、だいたい快適に使える目安です。 買った時のOSXがOSX10.5(Leopard)だったのならば、現行の10.7.x系の最後のバージョンが、まぁ快適に使える範囲かな、というところです。 もちろんそこから上(=新しい)も使えたりすることもありますが、明らかにFinderのレスポンスなどが遅くなって来ます。要するにそのMacの「CPUとメモリ容量+メモリ速度」がOSに合ってない=時代遅れになってくる訳です。たとえメモリを最大量まで増設したとしても、CPUの速度など、どこかで足を引っ張る要因が残って、苦しい結果となることが多いようです。 こう考えると、(誤解を恐れずに言うのならば)新品で購入したMacの「賞味期限」はメジャーアップデート2回、つまり4~5年ということになりますね。ちなみに他の回答者さんも書いておられますが、AppleのOSのサポート(不具合対策など)も1つ前のメジャーバージョンまでで、それより古いものは「おしまい=放置」です。 なお質問者さんはMacProをお使いとのこと。プロ・ユース(業務用)ではありませんか? 上記の説明はあくまでMacのハードウェアとOSXについての説明であって、アプリケーションについては全くバラバラの対応になります。つまりOSXのメジャーバージョンアップによって、今まで使っていたアプリが動かなくなる事例は限りがありません。 この件については、それぞれのアプリケーションでの動作環境を調べたり、使い心地を質問する等してください。 OSX10.5(Leopard)でも最新のSafariやiLife、iWork系アプリなど、古いOSでは動かないモノもちらほら出て来ましたが、もし現状で業務に支障がないならば、出来るだけ環境(OSX)を変化させない方が吉です。どうしても、というのならば、OSX10.6(SnowLeopard)くらいまででしょうし、それでもやるなら前準備(情報収集)に1週間くらいかけるべきでしょうね。 「OSXのバージョンを上げたが故に、Adobe系買い直し」という事例は多々あります。念のため。 最後になりますが... もし趣味の範囲(ホビーユース)ならば、これはやっぱり10.7(Lion)まで上げちゃって、最新の技術に触れるしか無いんじゃないかと思います(笑

共感・感謝の気持ちを伝えよう!

質問者からのお礼

他の皆さんは関係ないということのようですが、ご回答者さまは関係するというご意見ですね。 >質問者さんのMacProはOSX10.5(Leopard)のようです...メジャーアップデートは1回もしていないということになりますね。 そうです。書いているように、OSとアプリの関係性に無知なので、 安定している状態から、OSをバージョンアップするのがこわくてしていません。 >買った時のOSXがOSX10.5(Leopard)だったのならば、現行の10.7.x系の最後のバージョンが、まぁ快適に使える範囲かな、というところです。
もちろんそこから上(=新しい)も使えたりすることもありますが、明らかにFinderのレスポンスなどが遅くなって来ます。要するにそのMacの「CPUとメモリ容量+メモリ速度」がOSに合ってない=時代遅れになってくる訳です。たとえメモリを最大量まで増設したとしても、CPUの速度など、どこかで足を引っ張る要因が残って、苦しい結果となることが多いようです。 私が聞きたかったことは、このようなことでした。 とすると、やはり機械とOSは同じぐらいの古さがいいということのようですね。 >新品で購入したMacの「賞味期限」はメジャーアップデート2回、つまり4~5年ということになりますね。 4~5年は短いです・・・。 OSのバージョンアップをするために、そのサイクルでMacを買うのはきびしいです。 せめて約10年ぐらい使えればと思っていたのですが。 そう考えると、OSはあまりバージョンを上げていかない方がいいのかもしれませんね。 でも、ソフトのバージョンを上げていく必要が出てきた場合に、 対応するOS→そしてMacも、となってしまいますが。 その時がMacの変え時なのかもしません。 >もし現状で業務に支障がないならば、出来るだけ環境(OSX)を変化させない方が吉です。 >「OSXのバージョンを上げたが故に、Adobe系買い直し」という事例は多々あります。 まさに、そういうことを気にしていました。 >もし趣味の範囲(ホビーユース)ならば 一応、生業としております。 ですので、もろもろ影響してくる費用などを、 ひいた目で慎重に考える必要があるかと思いました。

関連するQ&A

  • 新MAC購入>ソフトのバージョンが古いとインストールできない?

    近々iMACの購入を考えています。MAC初心者で分からないことがあるので質問させていただきます。フォトショップ、イラストレーター、あたりのグラフィックソフトを購入>インストールしようと思っているのですが、なんでも、MACでは新しいOSでは古いバージョンのソフトはインストールできないと聞きました。現行のiMACを買ったとして、インストールできるバージョンはどのバージョンからCS3まででしょうか?よろしくお願いします。

  • Windows Vista(OS)を2台のMacにインストールする事は

    Windows Vista(OS)を2台のMacにインストールする事はできますか?新しいMacを買ったのでブートキャンプで動かしたいのですが…(一台目のMacは現在も使用してます)そもそもVistaって2台のPCに入れるのは違法でしたっけ?

    • ベストアンサー
    • Mac
  • Macでインストールが出来ません

    Macでインストールが出来ません メールソフトのThunderbirdのバージョン3.1.2をインストールしようとしています。 「いくつかの項目に対して十分なアクセス権がないので、操作は完了できません」とメッセージが出ます。 ディスクユーティリティでアクセス権の修復をしても同じ結果となります。 MacのOSは、レパードの10.5.8です。 解決方法をご存知の方がおられましたら、よろしくお願いします。

    • ベストアンサー
    • Mac

その他の回答 (7)

  • 回答No.8
  • toast5
  • ベストアンサー率37% (239/638)

>そんなにバージョンを気にする必要がなさそうですね。 >他の皆さんは関係ないということのようですが いやいやいやいや。 「インストール可能かどうか」というタイトルと質問文に引きずられて インストール可能かどうかについて一般論を述べましたが、 インストール可能かどうかと、仕事で使い物になるかは全く別の話です。 「10.5 がデフォルトのマシンを10.7にしたら快適に動くか?」 という質問だったら、おすすめしないとか、 新品の Mac mini を買った方がマシ、とか、 メモリの量による、とか、 個人的おすすめは 10.6 まで、とかいう回答もあったのでは。 また、6の方もおっしゃってますが、「機種とOSの相性」だけでなく 「OS とアプリケーションの相性」を心配すべきで、 当然、細かく対応状況を確認する必要があります。 >ネット上の参考になるページなど教えていただければ幸いです。 それは各ソフトの、メーカーのサイトです。 あるいは「 photoshop lion 対応 不具合」とかでググる。あとは同業の友人。

共感・感謝の気持ちを伝えよう!

質問者からのお礼

>インストール可能かどうかと、仕事で使い物になるかは全く別の話です。 質問の仕方が厳密でなかったようです。 質問の意図は、 私のMacProで、仕事を支障なくするには、OSのバージョンがいくつまでなら大丈夫でしょうか? ということでした。 そして、そのOSのバージョンが分かれば、 アプリケーションは、いくつのバージョンを買っておくのが必要か、ということが知れると思ったのです。 >「10.5 がデフォルトのマシンを10.7にしたら快適に動くか?」 という質問だったら、おすすめしないとか、 新品の Mac mini を買った方がマシ、とか、 メモリの量による、とか、 個人的おすすめは 10.6 まで、とかいう回答もあったのでは。 そうですね。質問のし直しというか、勉強し直しです。

  • 回答No.7
noname#242220
noname#242220

デザイン系では未だにクラシック環境が必要なアプリを使用している場合が有ります。 イラレ8等 これらはOSX10.6では起動出来なく成ります。 まあ個人使用でしたら重大な不具合は起きないでしょうね。 アプリの対応情報を販売先で確認する必要が有ります。 ちなみに最新OSX10.8は使ってますが、不具合は無いです。 10.4 クラシック環境か、OS9起動可能 10.5 クラシック対応アプリの起動は可能で32ビットカーネル 10.6 32又は64ビットカーネル対応アプリ、機種で動作 (Core2Duo,Xeon以上) 10.7以降 64ビットカーネル対応アプリ、機種で動作(MacPro(MA970J/A)はOK)

共感・感謝の気持ちを伝えよう!

質問者からのお礼

さすがにクラシックは使おうを思っていませんでしたが。 >32又は64ビットカーネル対応アプリ というのは初めて聞きました。

  • 回答No.5
  • toast5
  • ベストアンサー率37% (239/638)

Mac OS の歴史における最大の転換点は過去に二つです。ひとつは OS9.X(クラシック)からOS X(オーエステン)への移行。もうひとつは CPUの、PowerPC からインテルへの移行。どちらも Mac 界を震撼させた大事件ですが、後者について述べますと、 >例えば、わりと前の機種に、新し目のOSを入れると無理があるとか、 >そんなようなことも聞いておきたかった次第です。 >第一に知りたかったのは、相性以前に、インストール可能か不可か Mac OS X 10.4 と 10.5 は、PowerPC とインテルMac の両方に対応してました(うろおぼえ)が、 Mac OS X 10.6(Snow Leopard)以降の OS は、PowerPC のマシンにはインストール不可です。 「PowerPC は10.6 以降の Mac OS のサポート外」とか 「10.6 以降の Mac OS は PowerPC を切り捨てた」とも言えます。 (たしかそうだったと思いますが、違ってたらすいません。自信なし)。 当然インテルマシンの中でも「インストール可能か不可か」は微妙にいろいろありますが、 その辺は個々の動作条件を参照するしかありません。 >ネット上の参考になるページなど教えていただければ幸いです。 2012年4月現在、僕の知る限り、個々の動作条件などについて最も総合的に、 まあまあ正確な基礎知識が書いてあるのは、Wikipedia です。たとえば http://ja.wikipedia.org/wiki/Mac_OS_X とか。他にも Wikipedia 内の関連リンクを探して、目を通してみてください。

共感・感謝の気持ちを伝えよう!

質問者からのお礼

お礼が遅くなりました。 機械とOSの関係は、PowerPC とインテルMacのように、大きく変らないかぎり、 そんなにバージョンを気にする必要がなさそうですね。 Wikipediaは勉強してみます。

  • 回答No.4
  • cliomaxi
  • ベストアンサー率33% (2921/8736)

>機種とOSの相性などの問題で、不具合が生じたりするのでしょうか。 既出のようにMacの利点はハードもOSもApple1社で開発しているので俗に言う相性問題はありません。 不具合は微妙です。 これはユーザの環境(インストールしているアプリや機能拡張、更には変更しているグラフィックボード等や接続している機器等の色々な要素)により全く同じ機種であっても起きたり起きなかったりします。 不思議なもので、何をやっても不具合を起こすユーザもいますし、私のようにネットで騒がれていた不具合に一度も遭遇したことの無いユーザもいます。 列挙しますと、68kMac(IISi)でプリインストールのOSはSystem6(この頃はOSをSystemと呼称)にSystem7、7.1、7.5、7.6、OS8、8.1、8.5と順次アップ。 PPCMac(G4)のプリインストールのOSは9で以後9.1、9.2、OSX10.0、10.1、10.2、10.3、10.4、10.5(対応する最終バージョン)とアップ。 IntelMac(iMac)のプリインストールのOSはOSX10.4で以後10.5、10.6、10.7とアップ。 極たまに新OSのリリース直後はバグが有り特定の機種で起きたりすることもあります。 具体例は失念しましたが、製造時期により同じ機種でも違うメーカーのハードを使っていたりして、それが原因だったりします。 滅多にあることではありませんが。 >おっしゃられる「サポート」とは? 不具合が起きた時に問い合わせて、対処方法を教えてくれるとかっていうことですか? それは保証期間切れと言った感じでしょう。 OSXになって1~2年で新しいバージョンがリリースされますから、2つまえだとほぼ保証期間切れになっていますから。 サポート切れは、不具合やセキュリティ上の問題を修正したアップデートが無くなると言う事です。 例えば10.4なら10.4.11までですし、10.5なら10.5.8までです。 つい最近話題になったJavaの脆弱性をついたMac向けのマルウェア(ウィルスとかその手のもの)FlashBackに対する処置も10.6や10.7ではリリースされましたが10.5以前のものはありません。 少し趣旨が違いますがiPhone等と連携するiCloudも10.7でしか利用出来ません。

共感・感謝の気持ちを伝えよう!

質問者からのお礼

お礼が遅くなりすみません。 機種とOSの関係は、OSとアプリのように、それほど細かくバージョンを気にする必要がなさそうですね。 「サポート」は、OSの不具合のメンテをしないということのですね。

  • 回答No.3
  • te2kun
  • ベストアンサー率37% (4557/12160)

Mac OSは、Apple社のPC以外にインストールする行為はライセンス違反となります また、Apple社のPC以外では、サポートをしておりません どちらも、同じメーカーが行っているのですが、サポートされている機種で動作確認ぐらいしているでしょう よって機種とOSの相性なんてないでしょう OSとインストールソフトの相性は発生する可能性はあるでしょうが Macは、最新のバージョンとその前のバージョンしかサポートしませんので よって現在は、10.7とその1つ前の10.6となります 10.8が発売されると、10.6はサポート終了となります

共感・感謝の気持ちを伝えよう!

質問者からのお礼

>よって機種とOSの相性なんてないでしょう 例えば、わりと前の機種に、新し目のOSを入れると無理があるとか、 そんなようなことも聞いておきたかった次第です。 第一に知りたかったのは、相性以前に、インストール可能か不可か、そのことですが。 >Macは、最新のバージョンとその前のバージョンしかサポートしません おっしゃられる「サポート」とは? 不具合が起きた時に問い合わせて、対処方法を教えてくれるとかっていうことですか?

  • 回答No.2
  • mackid
  • ベストアンサー率33% (2688/8094)

あなたの機種にどのOSが載るか、ではなくて、そのOSはあなたのマックに載るのか、を調べた方が確実です。 10.6 Snow Leopard http://store.apple.com/jp/product/MC573J/A 10.7 Lion http://www.apple.com/jp/macosx/specs.html アップルメニューの「このマックについて」でCPUなどの種類は判りますし、さらにその画面の「詳しい情報」をクリックすればもっと細かいシステム情報が見られます。 >機種とOSの相性などの問題で、不具合が生じたりするのでしょうか。 出ることがあります。特にOSが新しくなってすぐは。 マックの雑誌を読んだりマックの情報サイトなどに目を通してください。 http://www.applelinkage.com/ http://japan.cnet.com/apple/

共感・感謝の気持ちを伝えよう!

質問者からのお礼

リンクありがとうございます。 「Intel Core 2 Duo、Core i3、Core i5、Core i7、 またはXeonプロセッサを搭載したMac」となっていました。 機種の型というより、機種のプロセッサの性能ということのようですね。 ということは、私のMacは、 今のところは最新バージョンには対応しているということが分かりました。 ・・・最新バージョンが、私もMacにも入ると言った方がいいのかもしれませんね。 >>機種とOSの相性などの問題で、不具合が生じたりするのでしょうか。 >出ることがあります。特にOSが新しくなってすぐは。 最初ということは、アップデートをしていけば、バグなどが改善されていくということですかね。 ありがとうございました。

  • 回答No.1
  • DAV
  • ベストアンサー率37% (746/2009)

下記のMacTrackerで判ります。 http://mactracker.softonic.jp//mac

共感・感謝の気持ちを伝えよう!

質問者からのお礼

ダウンロードしてみたのですが、ファイルが開けませんでした。

関連するQ&A

  • iTunesがなぜかMacにインストールできない

    現在MacでOS はcatalina 10.15.4なのですがこのOSにあったItunesが見つかりません。Appleのページから何回か試しましたがこれより古いOSのバージョンのものは あるようなのですがこのバージョンのItunesがどこからダウンロードしていいのやら。。。Mac初心者です。 よろしくお願いします。

    • ベストアンサー
    • Mac
  • Adobe AIRをインストールしたいのですがMacのOSが古いため(

    Adobe AIRをインストールしたいのですがMacのOSが古いため(OS X ver10.4)できません。最新版であるAdobe AIR2はver10.5からの対応です。Adobeのサイトでは、もう旧バージョン(Adobe AIR1)はダウンロードできなくなっています。どうにかしてMac OS 10.4でAdobe AIRを利用する方法をご存知の方、いらっしゃいませんか?教えてください!

    • ベストアンサー
    • Mac
  • Macの外付けHDとOSについて

    長年Macを愛用していますが、不勉強でまったく詳しくない者です。どうぞよろしくお願いいたします。 iMac MA877J/A を購入する予定です。 現在持っているBUFFALO製の外付けHDが起動ディスクにならないタイプのため、 この際、新しく起動ディスクにもなる外付けHDを購入したいと考えています。 2万円程度でお薦めの機種をお教えいただけませんでしょうか。 その際、ひとつ不安があるのですが。。。 OSは一台にしかインストールできないと聞いていますが、 Mac購入時についてくるOSとは別に、 外付けHD用にも購入しなくてはならないのでしょうか。 それとも、他のMacにインストールできないだけと考えればよろしいのでしょうか。 うまく質問できませんが、ご判読いただき、アドバイスいただければ幸いです。どうぞよろしくお願いいたします。

    • ベストアンサー
    • Mac
  • OSのインストール方法&手順(Mac)

    2台のMac間でOSを移行させたく思っています。どちらもOS9/OS x両起動OKのタイプです。古い方はほとんどOS9にて使用しており、不具合もなかったので、出来れば丸々コピーで移行させたく思っています。(OS9に関してはこれが可能だと聞いたので…)で、いざやろうと思ったのですが、今一つ手順が分かりませんでしたので、こちらに質問させて頂きました。出来ましたら2つの手順についてアドバイス頂ければ幸いです。 ◆新しいMacにもOS9.2.2とOS X(Tiger)をインストールする予定です。 1)そもそものOS9.2.2のシステムのコピーですが、『古いMacをOS Xで起動→HDの中からOS9のシステムフォルダとアプリケーション(MacOS9)をコピーしてくる』で合ってますでしょうか?OS9で起動中には丸々コピーは無理だと言われたのでこういった方法を考えてみましたが、他に何か良い方法がありますでしょうか。 2)新しいMacでパーテーションを分けた場合は、OS9用のボリュームに丸々コピーしてしまえば良いのは分かるのですが、もし2つのOSパーテーションを分けなかった場合、 『OS9をインストール→OS Xをインストール→OS Xにて起動させ、1)と同じくOS9のフォルダだけをコピーで上書き』 これではダメでしょうか……。 Tigerに慣れてくれば後々でOS9は削除してしまう可能性もあるため(今はアプリの都合もあって、しばらくOS9は必要です)また1からインストールするのは手間だな、と思ったのですが。 初心者の案しかないので、何かいい方法、アドバイス、ご指摘などありましたら、ぜひよろしくお願い致します。

    • 締切済み
    • Mac
  • 別機種へOSのインストール

    はじめまして、現在iMac DV SE400を使用していますが、今度iBookの一番安いものを購入予定です。 これらの2台のマシンをできれば同じOS環境で使いたいのですが、iMacに付属していたOS9のインストールCDは、新しいiBookにも使えるのでしょうか?逆に、iBookに付属しているOS10.2のインストールCDで、今所有しているiMacに10.2をインストールできるのでしょうか? インストールCDは、他の機種では使えないものなのでしょうか? 詳しい方、よろしくお願いいたします。

    • ベストアンサー
    • Mac
  • このMacにOS10.5のインストールは可能ですか

    昔購入した、MacG4(OS10.4.11)を所持しています。 さらに詳しいスペックですが、この「Macについて」の「プロセッサ」では、 デュアル 1GHz PowerPC G4 1MB 1.25GB DDR SDRAM となっていました。 このMacに、OS10.5をインストールし、InDesginCS3を動かしたいのですが、 可能でしょうか。 もし可能であれば、今使用している、 G5の10.5.8を移行させて、緊急時用のMacにしたいのですが・・・。 あと、もし可能である場合、危惧すべき点を教えてください。 (動きがとても遅いなど・・・。) また情報不足でしたら、補足します。 初歩的な質問かもしれませんが、よろしくお願いします。

    • 締切済み
    • Mac
  • macbook mid2010のOSついて

    MacにはプリインストールされていたOSより古いOSを使えないや、そもそもインストールもできないということですが、以前のアプリケーションを使用する時だけでいいのですが、Mac本体(10.7 Lion)の外付けのHDDに一世代古い10.6.3(Snow Leopard)をインストールし、使用することはできるのでしょうか。何か不具合が発生したりするのでしょうか。 それと中古で買ったMacの元々インストールされていたOSを調べる方法はあるのでしょうか。Appleサポートの「コンピュータに付属する Mac OS X のバージョン (ビルド)」 を見てもわからいので・・・。「このMACについて」からみても同じような番号は出てきませんし・・・。(パソコンはmacbook mid2010 10.7.5 Lionです。) どなたか詳しいかた教えていただけませんでしょうか。よろしくおねがいします。

    • ベストアンサー
    • Mac
  • MacのOS10にOS9をインストールできますか?

    MacのOS10を使っているのですが、最近買った音楽ソフトがOS8.5~9までの対応と記載されており、インストールできません。また新たにOS9を購入してインストールすれば、音楽ソフトが使用できるようになりますか?またOS10の機能は消えてしまうでしょうか?友達にエミュレーターを使えば、両方の機能が使えるようなことを聞いたのですが。。。回答よろしくお願いします☆

    • ベストアンサー
    • Mac
  • macのosを消してしまいました

    パソコンはMacを使っていまして UbuntuをUSBに入れて、それをMacにインストールしたのですが、 その際誤って元々入っていたMacのOSを消してしまったようです。 MacのOSと、USBのUbuntuを切り替えながら 両方使えるようにしたいのですが、 修復する方法はあるのでしょうか…?

  • OS10.9 GT-X900のスキャナ使用不可

    MAC OS10.9 のバージョンアップしたところGT-X900のスキャナが使用不可に。 エプソンのページからOS10.9のものをダウンロードしましたが 未だに使えません。 HDのどこにインストールされているかわかりません。